Forum pour réunir les administrateurs de serveur L2
 
AccueilAccueil  FAQFAQ  RechercherRechercher  S'enregistrerS'enregistrer  MembresMembres  GroupesGroupes  Connexion  

Partagez | 
 

 Information aux téléchargements

Voir le sujet précédent Voir le sujet suivant Aller en bas 
AuteurMessage
Feldunost



Nombre de messages : 18
Age : 27
Localisation : Entre 2 mondes, celui du virtuel inébranlable et celui de la vie réelle qui peut être cruelle ...
Date d'inscription : 03/12/2008

MessageSujet: Information aux téléchargements   Sam 04 Juil 2009, 21:34

Bonsoir,

Après une longue absence j'ai enfin décidé de me remettre dans le cambouis, seulement je me souviens plus trop des téléchargements à faire . . .

-> SVN Tortoise (1.4.3 uniquement?)
-> Java 1.6 (dernière version)
-> Maven 2.2.0 (dernière version)
-> Ant 1.7.1 (dernière version)


Cela devrait fonctionner avec les dernières releases de L2J free?
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Spanky



Nombre de messages : 392
Age : 34
Localisation : Osaka, Japon
Date d'inscription : 01/12/2007

MessageSujet: Re: Information aux téléchargements   Sam 04 Juil 2009, 23:43

tu oublie le petit eclipse
Revenir en haut Aller en bas
Voir le profil de l'utilisateur http://www.lonelyheavens.com
Feldunost



Nombre de messages : 18
Age : 27
Localisation : Entre 2 mondes, celui du virtuel inébranlable et celui de la vie réelle qui peut être cruelle ...
Date d'inscription : 03/12/2008

MessageSujet: Re: Information aux téléchargements   Dim 05 Juil 2009, 00:24

Seulement je me souviens plus comment j'ai réglé le problème de tools.jar?
Fallait installer JDK non?
Edit: oups oui, désolé le Eclipse est la dernière version avec SDK Smile



De plus le SVN tortoise ne fonctionne pas sous virtualbox Sad il déconne à plein tube :/



Lors de la compilation du game et du login server avec maven il me sort une erreur: cannot execute mojo: resources. it requires a project with an existing pom.xml, but this biuld is not using one. (serait peut-être réglée avec l'install de Eclipse)



Mais j'ai suivi le tuto en ligne de commande de Respawner le logiciel Eclipse n'est pas néccéssaire . . .
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Skatershi



Nombre de messages : 1305
Age : 28
Date d'inscription : 09/11/2006

MessageSujet: Re: Information aux téléchargements   Dim 05 Juil 2009, 03:53

Heu...

Si tu es sous Linux ou que tu as Eclipse d'installé, tu n'as pas besoin de Tortoise SVN...
Il te faut juste Java JRE, Java JDK, Eclipse, Maven, Ant, MyLyn.
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Feldunost



Nombre de messages : 18
Age : 27
Localisation : Entre 2 mondes, celui du virtuel inébranlable et celui de la vie réelle qui peut être cruelle ...
Date d'inscription : 03/12/2008

MessageSujet: Re: Information aux téléchargements   Dim 05 Juil 2009, 14:10

Je suis sous windows vista ultimate j'ai aussi linux, je suis dans un environnement virtualbox (virtualisation)


J'ai Fedora 11, Kubuntu Jaunty Jackalope et Windows Vista Ultimate.


J'ai commencé le travail sous vista ultimate, Java JRE installé, Java JDK installé, Eclipse installé (version classic), Maven installé, Ant installé.

Seulement, avec virtualbox le svn ne fonctionne pas, pour récupérer le core & datapack.


Ca ne me dérange pas de passer sous linux puisqu'ils sont déjà prêts mais bon j'ai déjà commencé le travail sous windows autant le finir Smile


Toutes les manipulations ci dessous sont faites en ligne de commande:

java -version ...................... OK
mvn -version ...................... OK
ant -version ........................ Unable to locate tools.jar. expected to find it in C:\Program Files\Java\jre6\lib\tools.jar
svn --version ....................... Unknow command "svn"



Tentative de compilation avec maven: Cannot execute mojo: resources. it requires a project with an existing pom.xml, but this build is not using one.


Je suis sur L2J FREE je tenais à le préciser Smile

-> le tools.jar devait être avec le JDK mais il n'est malheureusement pas visible . . . :/
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Feldunost



Nombre de messages : 18
Age : 27
Localisation : Entre 2 mondes, celui du virtuel inébranlable et celui de la vie réelle qui peut être cruelle ...
Date d'inscription : 03/12/2008

MessageSujet: Re: Information aux téléchargements   Mer 08 Juil 2009, 13:44

Up, personne ne sait comment résoudre cette erreur de compilation que je rencontre avec Maven?

Parceque là je me coince un peu . . . ant a toujours fonctionné avec L2J mais là j'avoue . . . xD
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Freekill



Nombre de messages : 525
Age : 27
Date d'inscription : 19/04/2006

MessageSujet: Re: Information aux téléchargements   Mer 08 Juil 2009, 14:23

Citation :
Tentative de compilation avec maven: Cannot execute mojo: resources. it requires a project with an existing pom.xml, but this build is not using one.

Si c'est maven qui te retourne ce message, c'est qu'il faut que tu compile avec ant.

maven sert uniquement pour le login et le core, le datapack doit être compilé avec ant.
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Feldunost



Nombre de messages : 18
Age : 27
Localisation : Entre 2 mondes, celui du virtuel inébranlable et celui de la vie réelle qui peut être cruelle ...
Date d'inscription : 03/12/2008

MessageSujet: Re: Information aux téléchargements   Jeu 16 Juil 2009, 14:25

Dac' je teste ça et je vous tiens au courant, je suis pas sûr que cela va fonctionner d'autant plus qu'il manque le tool.jar . . .

Je vais refaire les manips mais avec JDK

Merci.
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Contenu sponsorisé




MessageSujet: Re: Information aux téléchargements   Aujourd'hui à 17:30

Revenir en haut Aller en bas
 
Information aux téléchargements
Voir le sujet précédent Voir le sujet suivant Revenir en haut 
Page 1 sur 1
 Sujets similaires
-
» Barre d'information contrôle Activ x
» INFORMATION CONSOMMATEUR FREEBOX V5 ou V6 ATTENTION
» Plainte auprès d'un FAI, demande d'information log serveur
» vol d'information
» Changer le texte d'information d'accès spécial

Permission de ce forum:Vous ne pouvez pas répondre aux sujets dans ce forum
L2J-FR :: Général :: Aides et Conseils-
Sauter vers: